Summary: Key fingerprinting tools
Name: roca-detect
Version: 1.0.7
Release: 3%{dist}
Source0: https://github.com/crocs-muni/roca/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Remove coloredlogs dependency as it is not in f26
Patch: roca-detect-color.patch
License: MIT
# NOTE: no python2-pgpdump in f26 or epel7
Requires: python2-future python2-cryptography python-pgpdump
%if 0%{?rhel} <= 7
Requires: python-dateutil
%else
Requires: python2-dateutil
%endif
BuildRequires: python2-future python2-cryptography python-pgpdump 
BuildRequires: python2-setuptools
BuildArch: noarch
# NOTE: author homepage requires registration (!)
Url: https://gitlab.fi.muni.cz/xklinec/fingerprinter

%description
# ROCA detection tool

This tool is related to the [ACM CCS 2017 conference paper #124 Return of the
Coppersmith’s Attack: Practical Factorization of Widely Used RSA
Moduli](https://crocs.fi.muni.cz/public/papers/rsa_ccs17).

Install this to test public RSA keys for the presence of the described
vulnerability.

%prep
%setup -q -n roca-%{version}
%patch -p0 -b .color

%build
#py2_build	# /var/tmp/rpm-tmp.hFHQJm: line 31: fg: no job control
python setup.py build

%check
python -m unittest discover

%install
#py2_install	# /var/tmp/rpm-tmp.4O6WkR: line 36: fg: no job control
python setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

cat >$RPM_BUILD_ROOT/usr/bin/roca-detect <<'EOF'
#!/usr/bin/python
if __name__ == '__main__':
    import sys,roca.detect
    sys.exit(roca.detect.main())
EOF

%files -f INSTALLED_FILES
%license LICENSE
%doc README.md docs

%changelog

* Thu Oct 19 2017 Stuart D. Gathman <stuart@gathman.org> 1.0.7-3
- SPEC file nits from Fedora package review

* Wed Oct 18 2017 Stuart D. Gathman <stuart@gathman.org> 1.0.7-2
- Ditch the "EASY" introducer that requires setuptools >= 1.0

* Wed Oct 18 2017 Stuart D. Gathman <stuart@gathman.org> 1.0.7-1
- Initial rpm
